FROM openshift/golang-builder:1.11 AS builder
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=1be922d OS_GIT_VERSION=4.2.32-202005050921-1be922d SOURCE_DATE_EPOCH=1565637584 SOURCE_GIT_COMMIT=1be922de56a99f4e254eb9c2fc42d30e5596cf77 SOURCE_GIT_TAG=1be922d SOURCE_GIT_URL=https://github.com/openshift/images 
WORKDIR /go/src/github.com/openshift/images
COPY . .
RUN CGO_ENABLED=0 go build -installsuffix=cgo -o pod/bin/pod ./pod

FROM openshift/ose-base:v4.2.32.20200505.092140
ENV __doozer=update BUILD_RELEASE=202005050921 BUILD_VERSION=v4.2.32 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=32 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.32-202005050921 
ENV __doozer=merge OS_GIT_COMMIT=1be922d OS_GIT_VERSION=4.2.32-202005050921-1be922d SOURCE_DATE_EPOCH=1565637584 SOURCE_GIT_COMMIT=1be922de56a99f4e254eb9c2fc42d30e5596cf77 SOURCE_GIT_TAG=1be922d SOURCE_GIT_URL=https://github.com/openshift/images 
COPY --from=builder /go/src/github.com/openshift/images/pod/bin/pod /usr/bin/
ENTRYPOINT [ "/usr/bin/pod" ]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Pod Infrastructure" \
        io.k8s.description="This is a component of OpenShift Container Platform and holds on to the shared Linux namespaces within a Pod." \
        io.openshift.tags="openshift,pod" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-pod" \
        com.redhat.component="openshift-enterprise-pod-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.2.32" \
        release="202005050921" \
        io.openshift.build.commit.id="1be922de56a99f4e254eb9c2fc42d30e5596cf77" \
        io.openshift.build.source-location="https://github.com/openshift/images" \
        io.openshift.build.commit.url="https://github.com/openshift/images/commit/1be922de56a99f4e254eb9c2fc42d30e5596cf77"

